<?php
namespace nulib\db\mysql;

use nulib\db\pdo\Pdo;

class Mysql extends Pdo {
  const PREFIX = "mysql";

  function getDbname(): ?string {
    $url = $this->dbconn["name"] ?? null;
    if ($url !== null && preg_match('/^mysql(?::|.*;)dbname=([^;]+)/i', $url, $ms)) {
      return $ms[1];
    }
    return null;
  }
}
